# This file created by conda-build 3.1.1
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/jupyterlab-0.30.4-python3.6-on-linux_64, last modified Thu Dec  7 15:36:59 2017
# ------------------------------------------------

package:
    name: jupyterlab
    version: 0.30.4
source:
    fn: jupyterlab-0.30.4.tar.gz
    sha256: 82f36e49cc05b17cf4d5a021404d73b9b6c69f516dfd1f64127a6120efffd6f7
    url: https://pypi.io/packages/source/j/jupyterlab/jupyterlab-0.30.4.tar.gz
build:
    entry_points:
        - jupyter-lab = jupyterlab.labapp:main
        - jupyter-labextension = jupyterlab.labextensions:main
        - jupyter-labhub = jupyterlab.labhubapp:main
    number: '0'
    osx_is_app: 'True'
    script: python setup.py install --single-version-externally-managed --record record.txt
    string: py36_0
requirements:
    build:
        - ca-certificates 2017.08.26 h1d4fec5_0
        - certifi 2017.11.5 py36hf29ccca_0
        - libedit 3.1 heed3624_0
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 7.2.0 h7cc24e2_2
        - libstdcxx-ng 7.2.0 h7a57d05_2
        - ncurses 6.0 h9df7e31_2
        - openssl 1.0.2m h26d622b_1
        - python 3.6.3 h6c0c0dc_5
        - readline 7.0 ha6073c6_4
        - setuptools 36.5.0 py36he42e2e1_0
        - sqlite 3.20.1 hb898158_2
        - tk 8.6.7 hc745277_3
        - xz 5.2.3 h55aa19d_2
        - zlib 1.2.11 ha838bed_2
    host:
        - ca-certificates 2017.08.26 h1d4fec5_0
        - certifi 2017.11.5 py36hf29ccca_0
        - libedit 3.1 heed3624_0
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 7.2.0 h7cc24e2_2
        - libstdcxx-ng 7.2.0 h7a57d05_2
        - ncurses 6.0 h9df7e31_2
        - openssl 1.0.2m h26d622b_1
        - python 3.6.3 h6c0c0dc_5
        - readline 7.0 ha6073c6_4
        - setuptools 36.5.0 py36he42e2e1_0
        - sqlite 3.20.1 hb898158_2
        - tk 8.6.7 hc745277_3
        - xz 5.2.3 h55aa19d_2
        - zlib 1.2.11 ha838bed_2
    run:
        - jupyterlab_launcher >=0.6.0,<0.7.0
        - notebook >=4.3
        - python >=3.6,<3.7.0a0
test:
    imports:
        - jupyterlab
app:
    entry: jupyter lab
    icon: icon.png
    summary: JupyterLab PRE-ALPHA
    type: desk
about:
    description: 'JupyterLab is the next generation user interface for Project Jupyter.

        It offers all the familiar building blocks of the classic Jupyter Notebook

        (notebook, terminal, text editor, file browser, rich outputs, etc.) in a

        flexible and powerful user inteface that can be extended through third party

        extensions that access our public APIs. Eventually, JupyterLab will replace
        the

        classic Jupyter Notebook.

        '
    dev_url: https://github.com/jupyterlab/jupyterlab
    doc_source_url: https://github.com/jupyterlab/jupyterlab/tree/master/docs
    doc_url: http://jupyterlab-tutorial.readthedocs.io/en/latest/
    home: https://github.com/jupyterlab/jupyterlab
    license: BSD 3-Clause
    license_family: BSD
    summary: A pre-alpha version of a computational environment for Jupyter.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - blink1073
        - jasongrout
